/// <reference types="node" />
import { Readable } from 'stream';
export default class DateFakerStream extends Readable {
    startingTimestamp: number;
    endingTimestamp: number;
    minInterval: number;
    maxInterval: number;
    private lastGeneratedTimeStamp;
    constructor(startingDate: Date, endingDate: Date, minInterval: number, maxInterval: number);
    private _getRndomIncrement;
    _read(): void;
}
